/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.triz.trizservice.modeles;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author FORCE TECH
 */
@Entity
@Table(name = "service_wilaya")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "ServiceWilaya.findAll", query = "SELECT s FROM ServiceWilaya s"),
    @NamedQuery(name = "ServiceWilaya.findByNomWilaya", query = "SELECT s FROM ServiceWilaya s WHERE s.nomWilaya = :nomWilaya"),
    @NamedQuery(name = "ServiceWilaya.findById", query = "SELECT s FROM ServiceWilaya s WHERE s.id = :id")})
public class ServiceWilaya implements Serializable {

    @Size(max = 2147483647)
    @Column(name = "nom_wilaya")
    private String nomWilaya;

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 2)
    @Column(name = "id")
    private String id;

    public ServiceWilaya() {
    }

    public ServiceWilaya(String id) {
        this.id = id;
    }

    public String getNomWilaya() {
        return nomWilaya;
    }

    public void setNomWilaya(String nomWilaya) {
        this.nomWilaya = nomWilaya;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (id != null ? id.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ServiceWilaya)) {
            return false;
        }
        ServiceWilaya other = (ServiceWilaya) object;
        if ((this.id == null && other.id != null) || (this.id != null && !this.id.equals(other.id))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.triz.trizservice.modeles.ServiceWilaya[ id=" + id + " ]";
    }

    
    
}
